Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZDateTimeValidator Class Reference

The class eZDateTimeValidator does. More...

Inheritance diagram for eZDateTimeValidator:

## Static Public Member Functions
static | validateDate ( $day, $month, $year)
static | validateTime ( $hour, $minute, $second=0)
static | validateDateTime ( $day, $month, $year, $hour, $minute, $second=0)

## Additional Inherited Members
Public Member Functions inherited from eZInputValidator
| validate ( $text)
| fixup ( $text)
Public Attributes inherited from eZInputValidator
const | STATE_ACCEPTED = 1
const | STATE_INTERMEDIATE = 2
const | STATE_INVALID = 3

## Detailed Description

The class eZDateTimeValidator does.

Definition at line 17 of file ezdatetimevalidator.php.

## Member Function Documentation

## ◆ validateDate()

static eZDateTimeValidator::validateDate | ( |  | $day,
|  |  | $month,
|  |  | $year
| ) |  |
| static

Definition at line 19 of file ezdatetimevalidator.php.

References eZInputValidator\STATE_ACCEPTED, and eZInputValidator\STATE_INVALID.

Referenced by eZDateType\validateDateTimeHTTPInput(), and eZDateTimeType\validateDateTimeHTTPInput().

## ◆ validateDateTime()

static eZDateTimeValidator::validateDateTime | ( |  | $day,
|  |  | $month,
|  |  | $year,
|  |  | $hour,
|  |  | $minute,
|  |  | $second = `0`
| ) |  |
| static

Definition at line 44 of file ezdatetimevalidator.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and validateTime().

## ◆ validateTime()

static eZDateTimeValidator::validateTime | ( |  | $hour,
|  |  | $minute,
|  |  | $second = `0`
| ) |  |
| static

Definition at line 31 of file ezdatetimevalidator.php.

References eZInputValidator\STATE_ACCEPTED, and eZInputValidator\STATE_INVALID.

Referenced by validateDateTime(), eZDateTimeType\validateDateTimeHTTPInput(), and eZTimeType\validateTimeHTTPInput().

The documentation for this class was generated from the following file:

- ezdatetimevalidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.